<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Search in all fields in Datatable</title>

    <script src="js/jquery.js"></script>
    <link rel="stylesheet" type="text/css" href="css/datatables.css" />
    <script src="js/datatables.js"></script>
  </head>

  <body>

    <?php
        $data = [
            [ "name" => "Adnan", "designation" => "Software Engineer", "country" => "Pakistan" ],
            [ "name" => "John", "designation" => "Web Designer", "country" => "USA" ],
            [ "name" => "Burak", "designation" => "Cloud Engineer", "country" => "Turkey" ],
            [ "name" => "Sachin", "designation" => "Mobile Engineer", "country" => "India" ],
        ];
    ?>
    
    <table id="example" class="display" style="width: 100%;">
        <thead>
            <tr>
                <th>Name</th>
                <th>Designation</th>
            </tr>
        </thead>
        
        <tbody>
            <?php foreach ($data as $d): ?>
                <tr>
                    <td>
                        <div style="display: none;"><?php echo json_encode($d); ?></div>
                        <?php echo $d["name"]; ?>                                
                    </td>

                    <td>
                        <?php echo $d["designation"]; ?>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>

        <tfoot>
            <tr>
                <th>Name</th>
                <th>Designation</th>
            </tr>
        </tfoot>
    </table>

    <script>
      new DataTable('#example')
    </script>
  </body>
</html>